#pragma once
#include "Preferences.h"

class CPPg_X_Upload : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_Upload)

public:
	CPPg_X_Upload();
	virtual ~CPPg_X_Upload();

	// Dialog Data
	enum { IDD = IDD_PPG_X_UPLOAD };

	void Localize(void);

	afx_msg void OnSettingsChange()		{ SetModified(); }

protected:

	void LoadSettings();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

	DECLARE_MESSAGE_MAP()

private:
	// X-Ray :: SlotControl :: Start
	void ShowSlotSpeed();
	void CalculateMaxSlotSpeed();
	// X-Ray :: SlotControl :: End
};
